2018-01-22 23:43 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002570NetSurfRISC OS-specificpublic2018-01-20 17:59
ReporterRichard Porter 
Assigned To 
SeverityminorReproducibilityhave not tried 
StatusresolvedResolutionfixed 
PlatformARMX6OSRISC OSOS Version5.23
Product Version3.7 
Target Version3.8Fixed in Version3.8 
Summary0002570: Failure to display some JPEGs
DescriptionNS is unable to display some images such as Figure 2 on the problem page. Instead a pink rectangle is displayed. Just dropping the image into NS gives a blank page.
Steps To ReproduceGo to the problem page. Scroll down to Figure 2 which is just below the photo of the Pacer.
Additional InformationIt looks like figure 1 was taken on iPhone 6 whilst figure 2, a schematic diagram, was saved from photoshop. I have seen the same effect when NS runs out of memory but this is not the case here as I still have 1.8GB free.
TagsNo tags attached.
Fixed in CI build #4293
Reported in CI build #4238
URL of problem pagehttps://www.gov.uk/government/publications/safety-digest-162017-clapham/collision-between-a-passenger-train-and-trolleys-near-clapham-north-yorkshire-25-august-2017
Attached Files

-Relationships
+Relationships

-Notes
Sprow

~0001691

Sprow (reporter)

It's a CMYK image, so you can drop it onto Draw or Paint which use SpriteExtend (1.76 or later) to display it OK. I assume NetSurf uses its own JPEG routines and hence can't display it.
John-Mark Bell

~0001708

John-Mark Bell (administrator)

Fixed.
+Notes

-Issue History
Date Modified Username Field Change
2017-11-01 10:58 Richard Porter New Issue
2017-11-01 10:58 Richard Porter File Added: Figure_2.jpg
2017-12-05 18:52 Sprow Note Added: 0001691
2018-01-20 17:59 John-Mark Bell Status new => resolved
2018-01-20 17:59 John-Mark Bell Resolution open => fixed
2018-01-20 17:59 John-Mark Bell Product Version => 3.7
2018-01-20 17:59 John-Mark Bell Fixed in Version => 3.8
2018-01-20 17:59 John-Mark Bell Target Version => 3.8
2018-01-20 17:59 John-Mark Bell Fixed in CI build # => 4293
2018-01-20 17:59 John-Mark Bell Note Added: 0001708
+Issue History